Untitled Document

SuperIcon 3.5 Overview

SuperIcon is a professional and powerful icon conversion and management tool, With SuperIcon's many features, you can:

  1. Add icons to different icon libraries
  2. Extract icons from EXE, DLL, OCX, CPL, ICL, ICO, ANI, CUR format files
  3. Create icons from images in 30 formats
  4. Extract icons from web pages
  5. Create icons from screen capture
  6. Export icons to ICO, ICL, BMP, JPG, PCX, PIC, PIX, PBM, PNG, RAS, RLA, RLE, SGI, TGA, TIF, XBM and XPM format files
  7. Download icon libraries from Internet
Icon library manager
you can create as many icon libraries as you wish, each libraries contain collector or author's information, icon library can be locked; you can clean up (delete duplicate icons) icon libraries very fast. One or more icon libraries can be stored into one compressed file, easy to download or publish.
Import icon

There're 5 ways to extract or create icons using SuperIcon:

  1. Extract icons from EXE, DLL, OCX, CPL, ICL, ICO, ANI, CUR format files
  2. Create icons from BMP, DIB, BW, EMF, GIF, JPG, JBG, PCD, PCT, PCX, PIC, PIX, PBM, PGM, PPM, PNG, PSD, RAS, RLA, RLE, SGI, RGB, TGA, TIF, WMF, APM, XBM, XPM format files
  3. Extract icons from web pages, only click mouse, all images in web page will be converted to icons
  4. Create icons from screen capture, such as full screen, windows, object, area
  5. Extract icons from directories or whole harddisk
Export icon

With SuperIcon, you can:

  1. Export icons to another icon libraries or a new icon library
  2. Save icon library to ICL format file
  3. Export icons to ICO, BMP, JPG, PCX, PIC, PIX, PBM, PNG, RAS, RLA, RLE, SGI, TGA, TIF, XBM and XPM format files
Icon share

You can easy to download icon libraries from Internet or publish icon libraries to Internet, with SuperIcon, you can:

  1. Get icon libraries list from Index Servers, download icon libraries from list.
  2. Store one ore more icon libraries into one compressed file, send it to friends or IconExplorer.com

Purchasing SuperIcon: See the topic: Ordering Information,

If you have any question, advice,or you found BUGs when you using SuperIcon, please visit our web site at http://www.IconExplorer.com or mail to us.


Software License Agreement with SuperIcon 3.5

END-USER LICENSE AGREEMENT FOR SUPERICON

Copyright (C) 1999-2003 HuLiu
All Rights Reserved

Email: Support@Minsoftware.com
WWW: http://www.IconExplorer.com

SuperIcon 3.5 ("SOFTWARE PRODUCT") is a shareware. All rights reserved by HuLiu.By receiving and/or using this SOFTWARE PRODUCT, this agreement is a binding legal agreement between HuLiu and the purchasers, users or evaluators of SOFTWARE PRODUCT, it applies to the tiral and registered version.

Your agreement to this license by using, copying, transmitting, distributing or installing SOFTWARE PRODUCT, you agree to all of the terms of this agreement.

Please read the license terms below. If you do not agree to all of the terms of this license, then do not use, copy, transmit, distribute, or install SOFTWARE PRODUCT. and please remove this software from your computer right now.

  • The SOFTWARE PRODUCT is protected by copyright laws and international copyright treaties, as well as other intellectual property laws and treaties.
  • All associated documentation and written materials that accompany this program are the property of IconExplorer.com & HuLiu.
  • You may install and use one copy of the SOFTWARE PRODUCT on a single computer at a time and only by one user at a time.
  • You may also store or install a copy of the SOFTWARE PRODUCT on a storage device, such as a network server, used only to install or run the SOFTWARE PRODUCT on your other computers over an internal network; however, you must acquire and dedicate a license for each separate computer on which the SOFTWARE PRODUCT is installed or run from the storage device.
  • A license for the SOFTWARE PRODUCT may not be used concurrently on different computers, however, this agreement does allow a licensed user to install the SOFTWARE PRODUCT on both a work computer and a home computer, provided the SOFTWARE PRODUCT is not in use on both machines at the same time.
  • Without prejudice to any other rights, SuperIcon may terminate this License if you fail to comply with the terms and conditions of this License. In such event, you must destroy all copies of the SOFTWARE PRODUCT and all of its component parts.
  • This is not a free software. Subject to the terms below, you are hereby licensed to use one copy of SuperIcon, on one (1) computer or workstation, for evaluation purposes without charge for a period of 30 days.
  • If you use this software after the 30-day evaluation period a registration fee of $25 is required. See the SuperIcon web site at http://www.IconExplorer.com for information about online ordering and quantity discounts. When payment is received you will be sent a registration number of latest version of SuperIcon.
  • Unregistered use of SOFTWARE PRODUCT after the 30-day evaluation period is in violation of international copyright laws.
  • You may not reverse engineer, decompile, or disassemble the SOFTWARE PRODUCT, except and only to the extent that such activity is expressly permitted by applicable law not withstanding this limitation.
  • Distribution of Evaluation Version Provided that you verify that you are distributing the evaluation version,you are hereby licensed to make as many copies of the evaluation version of this software and documentation as you wish; give exact copies of the original evaluation version to anyone; and distribute the evaluation version of the software and documentation in its unmodified form via electronic means. There is no charge for any of the above. Anyone distributing the shareware version of SOFTWARE PRODUCT for any kind of remuneration must contact HuLiu prior to including it within any distribution media---at the address below for authorization.
  • All title and copyrights in and to the SOFTWARE PRODUCT (including but not limited to any images, photographs, animations, video, audio, music, text, and "applets," incorporated into the SOFTWARE PRODUCT), the accompanying printed materials, and any copies of the SOFTWARE PRODUCT, are owned by HuLiu or its suppliers. The SOFTWARE PRODUCT is protected by copyright laws and international treaty provisions. Therefore, you must treat the SOFTWARE PRODUCT like any other copyrighted material except that you may either (a) make one copy of the SOFTWARE PRODUCT solely for backup or archival purposes, or (b) install the SOFTWARE PRODUCT on a single computer provided you keep the original solely for backup or archival purposes. You may not copy the printed materials accompanying the SOFTWARE PRODUCT.

Should you have any questions concerning this license, or if you desire to contact us for any reason, please contact the SuperIcon subsidiary serving your country, or write:

Email: Support@Minsoftware.com
WWW: http://www.IconExplorer.com


How Can I Purchase SuperIcon?

This is not a free software. Subject to the terms below, you are hereby licensed to use this software for evaluation purposes without charge for a period of 30 days. If you use this software after the 30 day evaluation period, a registration fee of $32 is required(If you are part of a business and wish to use several copies of SuperIcon within your company, greatly reduced site licensing rates are also available). When payment is received you will be sent a registration number of latest version of SuperIcon.

Here's what you get with your SuperIcon registration:

  1. A Registration Code to enable all functions.
  2. The latest full-working versions
  3. Lifetime License! Never pay again for any new versions!
  4. Notifications of EVERY new version release and new Registration Codes, FREE of charge.
  5. Life-of-product technical support. (MSN account: support@Minsoftware.com & EMAIL: support@Minsoftware.com)
  6. No time limit on usage.
  7. No annoying registration notices.

Registration fee:

Units From | Up to | Price Per Unit
1 | 2 | US$ 29.95
3 | 9 | US$ 25.00
10 | 24 | US$ 20.00
25 | 49 | US$ 16.00
50 | Unlimited | US$ 12.00
Buy Now | Buy Now
Powered by Emetrix.com | Powered by RegSoft.com

Please visit our website: http://www.IconExplorer.com
Or direct visit ORDER SUPERICON to buy right now.


SuperIcon 3.5 Interface

The SuperIcon interface has the following components:

Main Menu - The top-most part of the window is the Main Menu.

ToolsBar - The Toolbar is under the Main Menu, it is a collection of most SuperIcon functions.

Icon Library Tree - Left of the screen. Lets you browse the Icon Library.

Icon List Area - Right of the screen.

Popup Menu - Right-click on the Library Tree, or the Icon List Area

Keyword panel - Show/edit current icon's keyword

Icon Image Pages Panel - Show current icon's image pages


Menu commands

The main menu controls all functions of SuperIcon:

Icon Library
Menu Item | Shortcut Key | ToolBar | Description
New Library... | Ctrl+N |  | Create a new SuperIcon Library (*.ilb)
Open Library... | Ctrl+O |  | Open a SuperIcon Library (*.ilb) or SuperIcon Publish Library (*.spl)
Close |  |  | Close current icon library
- |  |  |
Save | Ctrl+S |  | Save current icon library
Save as... |  |  | Save current icon library to a new icon library
SuperIcon Library Properties... | Ctrl+P |  | Show/edit current icon library's properties
Clean up (delete duplicate icons) |  |  | Delete current icon library's duplicate icons
Import icon libraries from SuperIcon publish library (*.spl)... |  |  | The Import icons from SuperIcon Publish Library (*.spl) dialog will appear
Export to ICL file... |  |  | Export icons in current icon library to ICL file
Exit | Alt+F4 |  | Exit SuperIcon

Icon
Menu Item | Shortcut Key | ToolBar | Description
Extract icons from files... |  |  | Extract icons from ICO, CUR, EXE, DLL, CPL, OCX, ICL files
Create icon from image files... |  |  | Create icon from ANI, BMP, DIB, BW, EMF, GIF, JBG, JBIG, JPG, JPEG, PCD, PCDS, PCT, PICT, PCX, PIC, PIX, PBM, PGM, PPM, PNG, PSD, RAS, RLA, RLE, SGI, RGB, RGBA, TGA, TIF, TIFF, WMF, APM, XBM, XPM files
Create icon from screen capture... |  |  | Create icon from screen capture, you can capture Desktop, Window or Control, Area, Icon.
- |  |  |
Delete | Del |  | Delete current selected icons
UnDelete | Ctrl+Z |  | UnDelete icons
Cut icon to IconClipboard | Ctrl+X |  | Cut current selected icons to IconClipboard
Copy icon to IconClipboard | Ctrl+C |  | Copy current selected icons to IconClipboard
Paste icon from IconClipboard | Ctrl+V |  | Paste icons from IconClipboard
- |  |  |
Cut icon to WinClipboard |  |  | Cut current selected icon to Windows Clipboard
Copy icon to WinClipboard |  |  | Copy current selected icon to Windows Clipboard
Paste icon from WinClipboard |  |  | Convert image in Windows Clipboard to icon, paste this icon to current library
- |  |  |
Select all | Ctrl+A |  | Select all icons
Invert select |  |  | Set selected icons to unselected, set unselected icons to selected
UnSelect |  |  | Unselect all icons

Tools
Menu Item | Shortcut Key | ToolBar | Description
Extract Wizard... | F2 |  | The extract wizard dialog will appear, you can import icons from files, folders, web pages or screen capture.
Export Wizard... | F3 |  | The export wizard dialog will appear, you can export icons to SuperIcon Library or appointed format files.
- |  |  |
Download & import icons from Internet... | F4 |  | The icon resources on Internet dialog will appear, you can download SuperIcon Publish Libraries (*.spl) file from Internet.
Publish Wizard... | F5 |  | The publish wizard dialog will appear, you can generate a new SuperIcon Publish Library, put one or more icon libraries into it, and send to friends or IconExplorer.com
- |  |  |
Icon Clipboard... |  |  | Show icons in IconClipboard
Search Icon... | F6 |  | The search icon dialog will appear, search icons in all libraries
Total... |  |  | Show icon total information, include: icons, icon libraries, folders(categories)
- |  |  |
Plug-in settings... |  |  | Plug-in settings

View
Menu Item | Shortcut Key | ToolBar | Description
View Style |  |  | Change current icon view style
Filter Style |  |  | Set icon filter style
- |  |  |
Icon pages view |  |  | Show/hide image pages for icon box
Icon keyword panel |  |  | Show/hide icon keyword saving box
- |  |  |
View Options |  |  | Setup icon view properties
- |  |  |
Language |  |  | Change SuperIcon interface language

Help
Menu Item | Shortcut Key | ToolBar | Description
Help | F1 |  | Show help information
Check for a new version |  |  | Check for a new version on Internet
Go to IconExplorer.com |  |  | Access http://www.IconExplorer.com
- |  |  |
Buy now... |  |  | Purchasing SuperIcon on Internet in a few minutes
Enter registration code... |  |  | Enter your registration code, if you paid the SuperIcon registration fee.
License Agreement |  |  | Show license agreement
Order information |  |  | Show order information
- |  |  |
About SuperIcon... |  |  | About SuperIcon...


Create a new SuperIcon Library (*.ilb)

Click “New library…” menu, or press Ctrl+N, or click toolbar button [image], the “New Library” dialog box will appear, you can input library’s file name, library name, collector information and select folder(category), then click “Save” button, A new SuperIcon Library will be generated. If you click “the collector information as default” box, This library’s collector information will be set as default collector information for all new SuperIcon Libraries.


Open a SuperIcon Library (*.ilb)

There’re 3 ways to open a SuperIcon Library (*.ilb) file using SuperIcon:

  1. Select one library in “Icon Library Tree”
  2. Click “Open Library….” Menu, or press Ctrl+O, or click toolbar button [image], the open library dialog will appear, select one library file
  3. Drag SuperIcon Library (*.ilb) file to SuperIcon interface
The icons in the selected library will display in the Icon List Area.


Change SuperIcon Library’s name, category and collector information
Click “SuperIcon Library properties…” menu, or press Ctrl+P, the “SuperIcon Library Properties” dialog will appear, you can change the library name, collector information, category. (Notes: If library locked, you can only change category)


Lock or unlock SuperIcon Library
Click “SuperIcon Library Properties…” menu, or press Ctrl+P, the “SuperIcon Library Properties” dialog will appear, click “Lock…” button, input password, this library will be locked, after locked, you cannot change library name, collector information, cannot add, delete icons, cannot change icon’s keyword. If you want to unlock, click “Unlock…” button, input correct password.


Clean up SuperIcon Library (delete duplicate icons)
Click “Clean up (delete duplicate icons)” menu, or click toolbar button [image], the duplicate icons in current library will be removed.


Create a new icon folder(category)
Right click on “Icon Library Tree Area”, click “Create folder…” menu, the “Folder Name” dialog will appear, input new folder(category) name, the new folder(category) will show in the tree. You can drag icon libraries into this folder(category), or create new libraries into this folder(category).


Import a SuperIcon Library (*.ilb) into current folder(category)
Right click on “Icon Library Tree Area”, the popup menu will appear, click “Insert exists icon library…” menu, the open library dialog will appear, you can select a SuperIcon Library(*.ilb) file, the library will insert into current folder(category).


What is SuperIcon Publish Library (*.spl), how to import SuperIcon Libraries from Publish Library

SuperIcon Publish Library (*.spl) is the special file format of SuperIcon. It stores a lots of SuperIcon Libraries and their category information in one file, because it will be compressed, so it can store large numbers of icons in a small file, easy to exchange icons on Internet.

There’re 3 ways to import icons from SuperIcon Publish Library (*.spl) file using SuperIcon:

  1. click “Open library…” menu, select one Publish Library file
  2. click “Import icon libraries from SuperIcon Publish Library (*.spl)” menu,
  3. Drag one Publish Library (*.spl) file onto SuperIcon interface<
The “Import icons from SuperIcon Publish Library(*.spl)” dialog will appear, the icon libraries and their categories information in this file will be displayed, you can import all icon libraries or import selected libraries, you can select the destination category, then click “Import” button. After imported, the icon libraries will display in the “Icon Library Tree Area”.


Change icon view properties

There’re 2 ways to change icon view properties using SuperIcon:

  1. click “View Options” menu
  2. click “View Options” button top of “Icon List View Area”

The “Icon View Properties” dialog will appear, you can change icon view size, show/hide icon keyword, show/hide icon size information, change background, keyword, size info, select frame’s color


Change icon keyword
Select one icon in “Icon List View Area”, The keyword of selected icon will display in “Icon keyword panel”, you can change it, then click “Save” button. If “Icon keyword panel” not show, you can click “Icon keyword panel” menu or click “Keyword” button top of “Icon List View Area”.


Set icon filter
Click “Filter Style” menu, or click “Filter style” button top of “Icon List View Area”, the popup menu will appear, you can select one icon size, In “Icon List View Area” will show the icons of selected size only.


Import icons from ICO, CUR, EXE, DLL, CPL, OCX, ICL files

There’re 3 ways to import icons from ICO, CUR, EXE, DLL, CPL, OCX, ICL files using SuperIcon:

1) click “Extract icons from files…” menu, or right click on “Icon List View Area”, click “Extract icons from files…” menu in the popup menu, the open file dialog will appear, select one or more files, then click “Open” button
2) click “Extract Wizard…” menu, or press F2, or click toolbar button, the “Extract Wizard” dialog will appear, click “Files” button, select one or more files, click “Extract” button
3) Drag files onto SuperIcon interface

SuperIcon will extract icons from selected files and insert into current library.


Create icons from ANI, BMP, DIB, BW, EMF, GIF, JBG, JBIG, JPG, JPEG, PCD, PCDS, PCT, PICT, PCX, PIC, PIX, PBM, PGM, PPM, PNG, PSD, RAS, RLA, RLE, SGI, RGB, RGBA, TGA, TIF, TIFF, WMF, APM, XBM, XPM image files

There’re 3 ways to create icons from image files using SuperIcon:

  1. click “Create icon from image files…” menu, or right click on “Icon List View Area”, click “Create icon from image files…” menu in popup menu, the open file dialog will appear, select one or more files
  2. click “Extract Wizard” menu, or press F2, or click toolbar button [image], the Extract Wizard dialog will appear, click “Files” button, select one or more files, click “Extract” button.
  3. Drag image files onto SuperIcon interface

SuperIcon will create icons from selected image files, and insert icons into current library.


Extract icons from directories
Click “Extract Wizard” menu, or press F2, or click toolbar button [image], the Extract Wizard dialog will appear, click “Folders” button, you can select file types, add extract folders, check/uncheck “is include sub-directories”, set max icon count, then click “Extract” button, SuperIcon will searching icons in selected directories until all directories searched or icons in result up to max count. When search finished, you can click “Export Wizard” button, export icons to SuperIcon Libraries or ICO, BMP, JPG etc. files.


Create icons from Web page
Click “Extract Wizard” menu, or press F2, or click toolbar button [image], the Extract Wizard dialog will appear, click “Web Pages” button, input web address in address edit, or click web in Favorites, after web page downloaded, click “Create icons” button, the images in web page dialog will appear, you can delete some images what you don’t wanted, then click “OK” button, the images in web page will be converted to icons and insert into current library.


Create icon from screen capture

There’re 2 ways to create icons from screen capture using SuperIcon:

  1. click “Create icon from screen capture…” menu, or right click on “Icon List View Area”, click “Create icon from screen capture” menu in popup menu,
  2. click “Extract Wizard” menu, or press F2, or click toolbar button [image], the Extract Wizard dialog will appear, click “Screen Capture” button,

The Screen Capture dialog will appear, you can select capture style (Desktop, Window or Control, Area, Icon), then click “Capture” button, the “Convert image to icon” dialog will appear, you can convert image to special format and special size icon, the new icon will insert into current library.


Export icons to another SuperIcon Library (*.ilb)

There’re 3 ways to export icons to another SuperIcon Library using SuperIcon:

  1. Select some icons in “Icon List View Area”, then hold left button of mouse, drag the selected icons to one library in “Icon Library Tree”.
  2. Select some icons in “Icon List View Area”, then click “Cut icon to IconClipboard” menu or “Copy icon to IconClipboard” menu, or press Ctrl+X, Ctrl+C, the selected icons will be copied to IconClipboard. Then open the destination icon library, click “Paste icon from IconClipboard” menu, or press Ctrl+V, the icons in IconClipboard will be copied to current place.
  3. Click “Export Wizard” button, or press F3, or click toolbar button [image], the Export Wizard dialog will appear, select “Export to SuperIcon Library (*.ilb)”, you can select one destination icon library, or create a new icon library, then click “OK” button.


Export icons to ICO, BMP, JPG, PCX, PIC, PIX, PBM, PNG, RAS, RLA, RLE, SGI, TGA, TIF, XBM, XPM files
Click “Export Wizard” menu, or press F3, or click toolbar button [image], the Export Wizard dialog will appear, select “Export to file”, select one file format, select icons range(All, Selected, Unselected), destination folder, then click “OK” button, the icons in current library will export to special format files.


Export icons to ICL file

There’re 2 ways to export icons to ICL file using SuperIcon:

  1. click “Export to ICL file…” menu, the save file dialog will appear, input ICL file name, then click “Save” button
  2. click “Export Wizard” menu, or press F3, or click toolbar button, the Export Wizard dialog will appear, select “Export to file”, “Icon Library (*.icl)”, input ICL file name, then click “OK” button

The icons in current library will export to an ICL format file.


Download SuperIcon Publish Libraries (*.spl) from Internet

Click “Download & import icons from Internet…” menu, or press F4, or click toolbar button [image], the “Icon resources on Internet” dialog will appear, SuperIcon will downloading Publish Library (.*.spl) list and icon website list from Internet, You can download Publish Library files, and import icon libraries from these files.

There’re a lots of SuperIcon Publish Libraries on Internet, use SuperIcon, you can easy to get large numbers of icons (have category, keyword). You can also generate your owner Publish Libraries, and send to your friends or send to IconExplorer.com


Set up proxy server
If you access Internet via proxy server, you must setup proxy server’s properties, in “Icon resources on Internet” dialog, click “Proxy Options” button, the “Proxy Options” dialog will appear, you can change the proxy properties.


Generate SuperIcon Publish Library (*.spl)
Click “Publish Wizard…” menu, or press F5, or click toolbar button [image], the Publish Wizard dialog will appear, you can input library name, publisher and description, can add one or more SuperIcon Libraries (*.ilb) file into it, or add whole category icons into it, in Destination, you can select send this Publish Library to Email Receiptor or IconExplorer.com or local path, when you click “Publish” button, A new SuperIcon Publish Library file will be generated, the selected icon libraries will be stored in it.


Send SuperIcon Library (*.ilb) to Email Receiptor, Desktop (create shortcut) or IconExplorer.com
Right click on “Icon Library Tree Area”, click “Send to” menu, click “Desktop”, “IconExplorer.com” or “Mail Receiptor” menu, the current icon library will send to appointed destination.


View icon total information
Click “Total…” menu, the total dialog will appear, total folders(categories), total icon libraries, total icons will be displayed.


Search icons
Click “Icon Search…” menu, or press F6, or click toolbar button [image], the Search Icon dialog will appear, you can input keyword, select search range, then click “Search” button, If search finished, icons in result will be displayed, you can click “Export Wizard” button, save icons into SuperIcon Library (*.ilb), or save into appointed format files.


Purchasing SuperIcon

When SuperIcon starts, in welcome dialog, click “Buy now” button, or click “Buy Now…” menu, you can purchase SuperIcon on Internet in a few minutes.

If you paid the SuperIcon registration fee, you will get one user name and registration code, click “Enter Registration Code” menu, the enter registration code dialog will appear, input user name and registration code, then click “OK” button.

Purchasing SuperIcon Now >>


Contact US

Questions or concerns? Eager to let us know what you think of our products and services? We'd love to hear from you!

Web:
http://www.IconExplorer.com
http://www.Minsoftware.com
Email:
Sales and Register: reg@Minsoftware.com
Technical Support:support@Minsoftware.com
FTP or connectivity issues: webmaster@Minsoftware.com


SuperIcon reference

SuperIcon Library(*.ilb) - SuperIcon Library (.ilb) is the special file format of SuperIcon. It can store a lots of icons, and can also store icon keyword, library description, collector information.

SuperIcon Publish Library(*.spl) - SuperIcon Publish Library(*.spl) is the special file format of SuperIcon. It can store a lots of SuperIcon Library and their category information.

Icon Clipboard - It is a buffer for exchange icons, example: move icons from one library to another